Bug 856388 - Packaged version of python-netifaces is ancient
Packaged version of python-netifaces is ancient
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-netifaces (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ryan Rix
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-11 19:44 EDT by Kevin L. Mitchell
Modified: 2015-06-16 06:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-16 06:53:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated specfile. (3.17 KB, text/x-rpm-spec)
2014-06-23 19:58 EDT, Tom Prince
no flags Details

  None (edit)
Description Kevin L. Mitchell 2012-09-11 19:44:16 EDT
Description of problem:

I was looking for some way to programmatically obtain the IP addresses for a host from Python when I came across the python-netifaces package.  I installed it, then tried to access the address_families dictionary documented at http://alastairs-place.net/projects/netifaces/ only to find that it did not exist; further investigation revealed that the packaged version is some 0.5 variant, whereas the docs corresponded to version 0.8, released in January 2012.  (Further digging revealed that address_families was added in version 0.6, released November 2011.)

Version-Release number of selected component (if applicable):

I discovered this in a Fedora 14 install, but then subsequently went on to confirm that it is present all the way up to rawhide

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

It would be worthwhile to pull in a more recent version of netifaces.  Fortunately, it is easy to "pip-python install netifaces" and get the most recent version, but one could argue that the packaged version should also be at least a little more recent.  Website:

  http://alastairs-place.net/projects/netifaces/
Comment 1 Fedora End Of Life 2013-04-03 15:43:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Ryan Rix 2014-06-14 16:52:20 EDT
I'll be updating this package in the next few days.
Comment 3 Tom Prince 2014-06-23 19:58:28 EDT
Created attachment 911600 [details]
Updated specfile.
Comment 4 Santiago Saavedra 2014-08-21 07:19:35 EDT
Could this package be built in the updates for current Fedora releases?

There are some non-official packages that may require an upgraded version of python-netifaces, such as xpra.
Comment 5 James Laska 2015-04-13 11:30:43 EDT
Any updates on this bug?  The latest Fedora includes 0.10.4-1, but EPEL still includes an ancient version.
Comment 6 James Laska 2015-04-13 11:58:51 EDT
I'm happy to help with the packaging if someone wants to make me a co-maintainer
Comment 7 Haïkel Guémar 2015-06-16 06:53:15 EDT
Fixed in february by me as provenpackager.

Note You need to log in before you can comment on or make changes to this bug.